## org.apache.ivy.plugins.namespace
Class NamespaceRule

    java.lang.Object
      org.apache.ivy.plugins.namespace.NamespaceRule

    public class NamespaceRule

extends java.lang.Object

Constructor Summary
`NamespaceRule()`

Method Summary
`void` `addFromsystem(MRIDTransformationRule fromSystem)`
`void` `addTosystem(MRIDTransformationRule toSystem)`
`java.lang.String` `getDescription()`
`MRIDTransformationRule` `getFromSystem()`
`java.lang.String` `getName()`
`MRIDTransformationRule` `getToSystem()`
`void` `setDescription(java.lang.String description)`
`void` `setName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamespaceRule

    public NamespaceRule()

Method Detail

### getFromSystem

    public MRIDTransformationRule getFromSystem()

### addFromsystem

    public void addFromsystem(MRIDTransformationRule fromSystem)

### getToSystem

    public MRIDTransformationRule getToSystem()

### addTosystem

    public void addTosystem(MRIDTransformationRule toSystem)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)